unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PrintSM, SMRAuto, Grids, DBGrids, Db, DBTables, ComCtrls;

type
  TfrmMain = class(TForm)
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}
uses DataGrid, Prev;

procedure TfrmMain.FormActivate(Sender: TObject);
begin
  if MDIChildCount > 0 then exit;

  {create form with grid}
  frmDataGrid := TfrmDataGrid.Create(Application);
  frmDataGrid.Show;

  {create form with preview}
  frmReport := TfrmReport.Create(Application);
  frmReport.SMPrintData1.DBGrid := frmDataGrid.gridCountry;
  frmReport.SMPrintData1.DataSet := frmDataGrid.tblCountry;
  frmReport.SMPrintData1.PreviewParentedControl(frmReport);
  frmReport.Show
end;

end.
