unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, PrintSM, SMRBase, StdCtrls, ExtCtrls, Grids, DBGrids;

type
  TForm1 = class(TForm)
    dSrcContinent: TDataSource;
    dSrcCountry: TDataSource;
    tblContinent: TTable;
    tblCountry: TTable;
    DBGridContinent: TDBGrid;
    DBGridCountry: TDBGrid;
    Splitter: TSplitter;
    pnlTop: TPanel;
    btnPreviewReport: TButton;
    btnDesignReport: TButton;
    SMReport: TSMReport;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnPreviewReportClick(Sender: TObject);
    procedure btnDesignReportClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses SMDesign, Jpeg;

procedure TForm1.FormCreate(Sender: TObject);
begin
  tblContinent.DatabaseName := ExtractFilePath(Application.ExeName);
  tblCountry.DatabaseName := tblContinent.DatabaseName;
  tblContinent.Open;
  tblCountry.Open;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  tblCountry.Close;
  tblContinent.Close;
end;

procedure TForm1.btnPreviewReportClick(Sender: TObject);
begin
  SMReport.Preview
end;

procedure TForm1.btnDesignReportClick(Sender: TObject);
begin
  DesignReport(SMReport)
end;

end.
