unit child;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, Grids, DBGrids, PrintSM, SMRAuto, SMRBase, comctrls;

type
  TfrmChildParent = class(TForm)
    dSrc: TDataSource;
    DBGrid: TDBGrid;
    SMPrintData: TSMPrintData;
    SMReport: TSMReport;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetNodeBold(node: TTreeNode);
  end;

implementation
uses CommCtrl;

{$R *.DFM}

procedure TfrmChildParent.SetNodeBold(node: TTreeNode);
var tvi: TTVItem;
begin
  FillChar(tvi, SizeOf(tvi), 0);
  tvi.hItem := node.ItemID;
  tvi.Mask := TVIF_STATE;
  tvi.StateMask := TVIS_BOLD or TVIS_CUT;
  tvi.State := TVIS_BOLD;
  TreeView_SetItem(node.Handle, tvi);
end;

procedure TfrmChildParent.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Action := caFree
end;

end.
